#include <bits/stdc++.h>
#include <cstring>
using namespace std;
int main() 
{
	ios_base::sync_with_stdio(false);
	cin.tie(0);cout.tie(0);
	string s;
	cin>>s;
	int l=s.length(),b1=-1,b2;
	for(int i=0;i<l;i++)
	{
		if(s[i]=='b')
		{
			if(b1==-1)
			b1=i;
			else
			b2=i;
		}
	}
	cout<<abs((b1-0)-(l-1-b2))+1;
	return 0;
}